﻿/*
  Autor: Wojciech Domski
  Email: y0yster@o2.pl
  lub
  Email: Wojciech.Domski@gmail.com

  Strona
             Domski.pl
             Wojciech.Domski.pl

  copyright 2012 Wojciech Domski

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

    Niniejszy program jest wolnym oprogramowaniem; możesz go
    rozprowadzać dalej i/lub modyfikować na warunkach Powszechnej
    Licencji Publicznej GNU, wydanej przez Fundację Wolnego
    Oprogramowania - według wersji 2 tej Licencji lub (według twojego
    wyboru) którejś z późniejszych wersji.

    Niniejszy program rozpowszechniany jest z nadzieją, iż będzie on
    użyteczny - jednak BEZ JAKIEJKOLWIEK GWARANCJI, nawet domyślnej
    gwarancji PRZYDATNOŚCI HANDLOWEJ albo PRZYDATNOŚCI DO OKREŚLONYCH
    ZASTOSOWAŃ. W celu uzyskania bliższych informacji sięgnij do
    Powszechnej Licencji Publicznej GNU.

    Z pewnością wraz z niniejszym programem otrzymałeś też egzemplarz
    Powszechnej Licencji Publicznej GNU (GNU General Public License);
    jeśli nie - napisz do Free Software Foundation, Inc., 59 Temple
    Place, Fifth Floor, Boston, MA  02110-1301  USA

*/

/**
 * \file filter.h
 *
 * \author Wojciech Domski
 *
 * \brief Filters
 */

#ifndef FILTER_HEADER
  #define FILTER_HEADER

  typedef struct
  {
      float a[2];
      float b[2];
      float x[2];
      float y[2];
      int row;
  }tSinglePoleCoeff;

  void SinglePoleHighPassInit( float x, tSinglePoleCoeff * coeff);

  float SinglePoleHighPass( float value, tSinglePoleCoeff * coeff);

  void SinglePoleLowPassInit( float x, tSinglePoleCoeff * coeff);
  
  void SinglePoleLowPassInitAll( float x, float y, tSinglePoleCoeff * coeff);

  float SinglePoleLowPass( float value, tSinglePoleCoeff * coeff);

#endif


































